// Package redis...
//
// Description : redis...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2021-02-27 5:13 下午
package redis

import "github.com/pkg/errors"

// FlagNotFound flag不存在异常
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 5:15 下午 2021/2/27
func FlagNotFound(flag string) error {
	return errors.Errorf("标识为 %s 的redis未找到", flag)
}

// LoggerInitFail 日志初始化失败
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 7:30 下午 2021/2/27
func LoggerInitFail(flag string, err error) error {
	if nil == err {
		return nil
	}
	return errors.Wrapf(err, "标识为 %s 的redis日志初始化失败", flag)
}

// EmptyCmd 未设置要执行的命令
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 9:46 下午 2021/2/27
func EmptyCmd() error {
	return errors.Errorf("未设置要执行的命令")
}

// CommandExecuteFail 命令执行失败
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 9:58 下午 2021/2/27
func CommandExecuteFail(err error) error {
	return errors.Wrapf(err, "命令执行异常")
}

// ReceiverISNIL 数据接收者是空指针
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 10:05 下午 2021/2/27
func ReceiverISNIL() error {
	return errors.Errorf("数据接收者指针为空")
}

// ResultConvertFail 数据结果解析失败
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 10:07 下午 2021/2/27
func ResultConvertFail(err error) error {
	if nil == err {
		return nil
	}
	return errors.Wrapf(err, "数据结果解析失败")
}

// CfgFilePathError ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 16:24 2022/6/15
func CfgFilePathError() error {
	return errors.Errorf("非法的配置文件路径")
}

// CfgFileFormatErr 配置文件格式错误
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 16:25 2022/6/15
func CfgFileFormatErr(realFormat string) error {
	return errors.Errorf("非法的配置文件格式 : %s , 当前仅支持 yaml / yml / json", realFormat)
}

// InitLoggerErr 初始化日志失败
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 21:12 2022/6/15
func InitLoggerErr(flag string, err error) error {
	return errors.Wrapf(err, "%s 配置日志初始化失败", flag)
}
